# EmailException (Apache Commons Email 1.5 API)

org.apache.commons.mail

## Class EmailException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.mail.EmailException

All Implemented Interfaces:
  Serializable

    public class EmailException
    extends Exception

Exception thrown when a checked error occurs in commons-email.

Adapted from FunctorException in Commons Collections.

Emulation support for nested exceptions has been removed in `Email 1.3`, supported by JDK ≥ 1.4.

Since:
  1.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EmailException()` Constructs a new `EmailException` with no detail message.
`EmailException(String msg)` Constructs a new `EmailException` with specified detail message.
`EmailException(String msg, Throwable rootCause)` Constructs a new `EmailException` with specified detail message and nested `Throwable` root cause.
`EmailException(Throwable rootCause)` Constructs a new `EmailException` with specified nested `Throwable` root cause.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `printStackTrace()` Prints the stack trace of this exception to the standard error stream.
`void` `printStackTrace(PrintStream out)` Prints the stack trace of this exception to the specified stream.
`void` `printStackTrace(PrintWriter out)` Prints the stack trace of this exception to the specified writer.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EmailException

    public EmailException()

Constructs a new `EmailException` with no detail message.

#### EmailException

    public EmailException(String msg)

Constructs a new `EmailException` with specified detail message.

Parameters:
  `msg` - the error message.

#### EmailException

    public EmailException(Throwable rootCause)

Constructs a new `EmailException` with specified nested `Throwable` root cause.

Parameters:
  `rootCause` - the exception or error that caused this exception to be thrown.

#### EmailException

    public EmailException(String msg,
                          Throwable rootCause)

Constructs a new `EmailException` with specified detail message and nested `Throwable` root cause.

Parameters:
  `msg` - the error message.
  `rootCause` - the exception or error that caused this exception to be thrown.

### Method Detail

#### printStackTrace

    public void printStackTrace()

Prints the stack trace of this exception to the standard error stream.

Overrides:
  `printStackTrace` in class `Throwable`

#### printStackTrace

    public void printStackTrace(PrintStream out)

Prints the stack trace of this exception to the specified stream.

Overrides:
  `printStackTrace` in class `Throwable`
Parameters:
  `out` - the `PrintStream` to use for output

#### printStackTrace

    public void printStackTrace(PrintWriter out)

Prints the stack trace of this exception to the specified writer.

Overrides:
  `printStackTrace` in class `Throwable`
Parameters:
  `out` - the `PrintWriter` to use for output